# Contributing

When contributing to this repository, please first discuss the change you wish to make via issue or any other 
method with the ShoppingFeed team before making a change. 

Please note we have a code of conduct, please follow it in all your interactions with the project.

## Pull Request

### Creation

To create a pull request first you must know the [github flow](https://guides.github.com/introduction/flow/)
workflow. We have chosen it to ease repository organisation and development communication.  
We invite you to read the documentation to understand how it works.  

Here are some basics to get started :
1. Always start development from the `master` branch.
2. From it create a new branch you will name '#[ISSUEID]-feature-...', '#[ISSUEID]-fix-...'
3. Develop and commit on this branch
4. When finished create the PR to merge your branch into master branch

Please follow the PR template we have configure it will help us understand faster what the PR is about.

### Requirement

Here are some requirement for a PR to be valid : 
1. Ensure that your PR must pass the build process
2. Your code must be fully tested with phpunit tests (coverage 100%)
3. Your code must respect our [coding standard rules](docs/development/coding-standards.md)
4. Documentation should be up to date with the changes you added

## Code of Conduct

### Our Pledge

In the interest of fostering an open and welcoming environment, we as
contributors and maintainers pledge to making participation in our project and
our community a harassment-free experience for everyone, regardless of age, body
size, disability, ethnicity, gender identity and expression, level of experience,
nationality, personal appearance, race, religion, or sexual identity and
orientation.

### Our Standards

Examples of behavior that contributes to creating a positive environment
include:

* Using welcoming and inclusive language
* Being respectful of differing viewpoints and experiences
* Gracefully accepting constructive criticism
* Focusing on what is best for the project
* Showing empathy towards other community members

Examples of unacceptable behavior by participants include:

* The use of sexualized language or imagery and unwelcome sexual attention or
advances
* Trolling, insulting/derogatory comments, and personal or political attacks
* Public or private harassment
* Publishing others' private information, such as a physical or electronic
  address, without explicit permission
* Other conduct which could reasonably be considered inappropriate in a
  professional setting

### Our Responsibilities

Shopping Feed developers are responsible for clarifying the standards of acceptable
behavior and are expected to take appropriate and fair corrective action in
response to any instances of unacceptable behavior.

Shopping Feed developers have the right and responsibility to remove, edit, or
reject comments, commits, code, wiki edits, issues, and other contributions
that are not aligned to this Code of Conduct, or to ban temporarily or
permanently any contributor for other behaviors that they deem inappropriate,
threatening, offensive, or harmful.

### Scope

This Code of Conduct applies both within project spaces and in public spaces
when an individual is representing the project.

### Enforcement

Instances of abusive, harassing, or otherwise unacceptable behavior may be
reported by contacting the project team at developers[at]shopping-feed.com. All
complaints will be reviewed and investigated and will result in a response that
is deemed necessary and appropriate to the circumstances. The project team is
obligated to maintain confidentiality with regard to the reporter of an incident.
Further details of specific enforcement policies may be posted separately.

### Development

We provide with this project some tools to help maintain and develop the project see the 
[development documentation](docs/development/development.md) for more detail.